> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/information/gateways-eui64-status.md).

# /gateways/{eui64}/status

Returns the status of a specific device. The response includes the MQTT connection status and the timestamp of the last update.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.6.0"},"tags":[{"name":"Information","description":"Commands to retrieve information about the devices connected to the platform"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"EUI64":{"name":"eui64","in":"path","description":"The EUI64 of the device in hexadecimal format.","required":true,"schema":{"type":"string"}}},"schemas":{"ConnectionStatus":{"type":"object","required":["status","last_update"],"properties":{"status":{"type":"string","enum":["SUCCESS","DISCONNECTED","AUTH_ERROR","CLIENT_INITIATED_DISCONNECT","CLIENT_ERROR","CONNECTION_LOST","DUPLICATE_CLIENTID","FORBIDDEN_ACCESS","MQTT_KEEP_ALIVE_TIMEOUT","SERVER_ERROR","SERVER_INITIATED_DISCONNECT","THROTTLED","WEBSOCKET_TTL_EXPIRATION","CUSTOMAUTH_TTL_EXPIRATION"],"description":"The MQTT connection status of the device.\n  - `SUCCESS`: The device is connected to the platform.\n  - `DISCONNECTED`: The device is disconnected from the platform due to an unknown reason.\n  - `AUTH_ERROR`: The device is disconnected from the platform due to an authentication or authorization \nerror.\n  - `CLIENT_INITIATED_DISCONNECT`: The device is disconnected from the platform due to a client-initiated\ndisconnect.\n  - `CLIENT_ERROR`: The device is disconnected from the platform due to a client error.\n  - `CONNECTION_LOST`: The device was disconnected from the platform due to a loss of the client-server \nconnection. This can happen during a period of high network latency or when the internet connection is lost.\n  - `DUPLICATE_CLIENTID`: The device is disconnected from the platform because another device with the same\nclient ID is already connected.\n  - `FORBIDDEN_ACCESS`: The device is not allowed to be connected.\n  - `MQTT_KEEP_ALIVE_TIMEOUT`: If there is no client-server communication for 1.5x of the client's \nkeep-alive time, the device is disconnected.\n  - `SERVER_ERROR`: The device is disconnected from the platform due to an unexpected server issue.\n  - `SERVER_INITIATED_DISCONNECT`: The server has intentionally disconnected the device for operational \nreasons.\n  - `THROTTLED`: The device is disconnected from the platform for exceeding a throttling limit.\n  - `WEBSOCKET_TTL_EXPIRATION`: The device is disconnected from the platform because a WebSocket has been\nconnected longer than its time-to-live value.\n  - `CUSTOMAUTH_TTL_EXPIRATION`: The device is disconnected from the platform because it has been \nconnected longer than the time-to-live value of its custom authorizer.\n"},"last_update":{"type":"integer","format":"int64","description":"The timestamp (in milliseconds) of the last update of the device's status."}}},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"MissingOrInvalidEUIErrorResponse":{"description":"Invalid request:\n  - Missing required 'path' parameter: 'eui64'.\n  - The provided EUI64 '{eui64}' is not a valid hexadecimal string.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"EUIOrShadowNotFoundErrorResponse":{"description":"Not found:\n  - 400: The device '{eui64}' is not available in the IoT Thing registry.\n  - 410: The shadow '{shadow}' for device '{eui64}' was not found.\n  - 411: The reported state for shadow '{shadow}' of device '{eui64}' was not found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/gateways/{eui64}/status":{"get":{"summary":"/gateways/{eui64}/status","description":"Returns the status of a specific device. The response includes the MQTT connection status and the timestamp of the last update.\n","operationId":"getStatus","tags":["Information"],"parameters":[{"$ref":"#/components/parameters/EUI64"}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectionStatus"}}}},"400":{"$ref":"#/components/responses/MissingOrInvalidEUIErrorResponse"},"404":{"$ref":"#/components/responses/EUIOrShadowNotFoundErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.net2grid.com/device-management-api/information/gateways-eui64-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
